cancel
Showing results for 
Search instead for 
Did you mean: 

Error compiling with OCI

Chartier Jerome
Frequent Advisor

Error compiling with OCI

Hi all,

I 've got an error when compiling with cc and OCI....:
cc -c -Ae -Dhpux +DD64 +M2 -I/usr/include -I/jag/JAG1.0/bcantat/dev/include -I/jag/JAG1.0/bcantat/dev -I/jag/cmpnt/psg/PSG-003/PSG/include -I/jag/cmpnt/psg/PSG-003/PSG -I/jag/cmpnt/devel/DEVEL-005.HP-UX-64B.11.11/DEVEL/include -I/jag/cmpnt/devel/DEVEL-005.HP-UX-64B.11.11/DEVEL -I/jag/JAG1.0/bcantat/dev/OCITEST/SRC -I/u01/app/oracle/product/9.2.0/include -I/u01/app/oracle/product/9.2.0/precomp/public -I/u01/app/oracle/product/9.2.0/rdbms/demo -I/u01/app/oracle/product/9.2.0/rdbms/public OCITESTmain.c -o ../OBJ/OCITESTmain.o
cc: "/u01/app/oracle/product/9.2.0/include/oratypes.h", line 310: error 1713: Illegal redeclaration for identifier "boolean".
gmake: *** [../OBJ/OCITESTmain.o] Error 1

Compiler version is ....
C-ANSI-C B.11.11.04 HP C/ANSI C Compiler
which cc is :

/opt/ansic/bin/cc

Has anyone already met this problem, or got any idea ...?

Thanks in advance for your help

Cheers

Jérôme C
J@Y
8 REPLIES
Eric Antunes
Honored Contributor

Re: Error compiling with OCI

Have you this line on your $ORACLE_HOME/precomp/admin/pcscfg.cfg ?

define=_PA_RISC2_0



Each and every day is a good day to learn.
Chartier Jerome
Frequent Advisor

Re: Error compiling with OCI

Hello,

No, I've got:

sys_include=(/usr/include)
ltype=short
define=ORASTDARG

Should I put your line in this file?

Thanks

Cheers

Jérô
J@Y
Eric Antunes
Honored Contributor

Re: Error compiling with OCI

Yes, I think you should try it on a Dev/Test instance (not on Production since it works on Oracle 8 but you are on Oracle 9i).

I have a few more things on my config file:

sys_include=(/usr/include)
include=(/project/805/src/precomp/public)
include=/project/805/src/precomp/hdrs
include=/project/805/src/tpcc2x_2/src
include=/project/805/src/precomp/include
include=/project/805/src/oracore/include
include=/project/805/src/oracore/public
include=/project/805/src/rdbms/include
include=/project/805/src/rdbms/public
include=/project/805/src/rdbms/demo
include=/project/805/src/nlsrtl/include
include=/project/805/src/nlsrtl/public
include=/project/805/src/network/include
include=/project/805/src/network/public
include=/project/805/src/plsql/public
ltype=short
define=_PA_RISC2_0
Each and every day is a good day to learn.
Chartier Jerome
Frequent Advisor

Re: Error compiling with OCI

Hi Antunes,

I've still got the same error .... should I restart the instance?

Cheers

Jérô
J@Y
Eric Antunes
Honored Contributor

Re: Error compiling with OCI

Hi Jérôme,

in the pcscfg.cfg file, change the string "/vobs" by the actual path for the value of $ORACLE_HOME

include=(/vobs/precomp/public) include=/vobs/precomp/hdrs include=/vobs/tpcc2x_2/src include=/vobs/precomp/include include=/vobs/oracore/include include=/vobs/oracore/public include=/vobs/rdbms/include include=/vobs/rdbms/public include=/vobs/rdbms/demo include=/vobs/nlsrtl/include include=/vobs/nlsrtl/public include=/vobs/network_src/include include=/vobs/network_src/public include=/vobs/network/include include=/vobs/network/public include=/vobs/plsql/public

At the end, login again as Oracle user, restart the instance and try again.

Hope this'll help,

Ant
Each and every day is a good day to learn.
Chartier Jerome
Frequent Advisor

Re: Error compiling with OCI

Hi,

I've got the same error, but I'm not compiling as oracle ...


Cheers

Jérô
J@Y
Eric Antunes
Honored Contributor

Re: Error compiling with OCI

Ok,

I found another note on Metalink that is maybe more specific for you and that says you must have this in the config file:

sys_include=(/usr/include) include=(/project/hpux64/9.0.0/install/crqa_010 517/precomp/public) include=/project/hpux64/9.0.0/install/crqa_010517/precomp/hd rs include=/project/hpux64/9.0.0/install/crqa_010517/tpcc2x_2/src include=/proje ct/hpux64/9.0.0/install/crqa_010517/precomp/include include=/project/hpux64/9.0. 0/install/crqa_010517/oracore/include include=/project/hpux64/9.0.0/install/crqa _010517/oracore/public include=/project/hpux64/9.0.0/install/crqa_010517/rdbms/i nclude include=/project/hpux64/9.0.0/install/crqa_010517/rdbms/public include=/p roject/hpux64/9.0.0/install/crqa_010517/rdbms/demo include=/project/hpux64/9.0.0 /install/crqa_010517/nlsrtl/include include=/project/hpux64/9.0.0/install/crqa_0 10517/nlsrtl/public include=/project/hpux64/9.0.0/install/crqa_010517/network_sr c/include include=/project/hpux64/9.0.0/install/crqa_010517/network_src/public i nclude=/project/hpux64/9.0.0/install/crqa_010517/network/include include=/projec t/hpux64/9.0.0/install/crqa_010517/network/public include=/project/hpux64/9.0.0/ install/crqa_010517/plsql/public include=/project/hpux64/9.0.0/install/crqa_0105 17/otrace/public ltype=short define=ORASTDARG define=_PA_RISC2_0

...where is /project/hpux64/9.0.0/ change it with your $ORACLE_HOME

And it says not full checking of ansi_c code.

It's Note:184262.1

Have you upgraded from HP-UX 11 to HP-UX 11i (64 bits)?
Each and every day is a good day to learn.
Eric Antunes
Honored Contributor

Re: Error compiling with OCI

Hi Jerome,

Let me know if you've succeeded with that...

Regards,

Eric Antunes
Each and every day is a good day to learn.